### Method

# Handy ComboRow bind_model

#### Declaration [src]

    void
    hdy_combo_row_bind_model (
      HdyComboRow* self,
      GListModel* model,
      GtkListBoxCreateWidgetFunc create_list_widget_func,
      GtkListBoxCreateWidgetFunc create_current_widget_func,
      gpointer user_data,
      GDestroyNotify user_data_free_func
    )

#### Description [src]

Binds `model` to `self`.

If `self` was already bound to a model, that previous binding is destroyed.

The contents of `self` are cleared and then filled with widgets that represent items from `model`. `self` is updated whenever `model` changes. If `model` is `NULL`, `self` is left empty.

Available since: | 1.0

#### Parameters

`model` | `GObject`
| The `GListModel` to be bound to `self`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`create_list_widget_func` | `GtkListBoxCreateWidgetFunc`
| A function that creates widgets for items to display in the list, or `NULL` in case you also passed `NULL` as `model`.
| The argument can be `NULL`.
`create_current_widget_func` | `GtkListBoxCreateWidgetFunc`
| A function that creates widgets for items to display as the selected item, or `NULL` in case you also passed `NULL` as `model`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data passed to `create_list_widget_func` and `create_current_widget_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`user_data_free_func` | `GDestroyNotify`
| Function for freeing `user_data`.